		/*************************************
		 *                                   *
		 *       Intuition Support v2.0      *
		 *   by Torsten Jrgeleit in 05/91   *
		 *                                   *
		 *       Library init routines       *
		 *                                   *
		 *************************************/

	/* Includes */

#include <exec/types.h>
#include <exec/nodes.h>
#include "intuisup.h"

	/* Imports from startup code */

IMPORT struct Library  *LibOpen(VOID);
IMPORT BPTR LibClose(VOID);
IMPORT BPTR LibExpunge(VOID);
IMPORT VOID LibNull(VOID);

	/* Library function table -> needed in DataTable of startup code */

VOID *FuncTable[] = {

	/* Standard system functions */

	LibOpen,
	LibClose,
	LibExpunge,
	LibNull,

	/* Render functions */

	IGetRenderInfo,
	IFreeRenderInfo,
	IOpenWindow,
	IClearRenderWindow,

	/* Text functions */

	IDisplayTexts,
	IPrintText,
	IConvertUnsignedDec,
	IConvertSignedDec,
	IConvertHex,
	IConvertBin,

	/* Border functions */

	IDisplayBorders,
	IDrawBorder,

	/* Gadget functions */

	ICreateGadgets,
	IFreeGadgets,
	IDisplayGadgets,
	IRefreshGadgets,
	ISetGadgetAttributes,
	IActivateInputGadget,
	IGadgetAddress,
	IRemoveGadgets,
	IGetMsg,
	IReplyMsg,

	/* Menu functions */

	ICreateMenu,
	IAttachMenu,
	IMenuItemAddress,
	IRemoveMenu,
	IFreeMenu,

	/* End marker */

	(VOID *)-1
};
	/* Prototypes */

BOOL LibInit(VOID);
VOID LibFree(VOID);

	/* Library specific init routine */

   BOOL
LibInit(VOID)
{
   return((BOOL)TRUE);
}
	/* Library specific expunge routine */

   VOID
LibFree(VOID)
{
}
